Subject: Re: Botany as a degree

From: [email-masked] (Ruthanne Edward)
Date: Thu, 19 Oct 1995 03:39:13 GMT

As far as botany at UVic goes, don't kid yourself! I know. 

All plant pathology courses were dropped this year, physiology
has been reduced to 1 basic and 1 stress etc, etc.

This area is not a priority for the biology department.

Dr. Nancy Turner is indeed a world expert in her field and an 
excellent teacher to boot.

While I am here, I would appreciate hearing from anyone who knows
about possible study/work programs in rainforest ecology, 
tropical or temperate. Email me directly please.

Ruthanne Edward